Package com.mckoi.database

## Interface GroupResolver

    public interface GroupResolver

Similar to VariableResolver, this method is used by grouping Functions to find information about the current group being evaluated (used for evaluating aggregate functions).

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`VariableResolver` `getVariableResolver​(int set_index)` Returns a VariableResolver that can be used to resolve variable in the get set of the group.
`int` `groupID()` A number that uniquely identifies this group from all the others in the set of groups.
`TObject` `resolve​(Variable variable, int set_index)` Returns the value of a variable of a group.
`int` `size()` The total number of set items in this group.

### Method Detail

#### groupID

    int groupID()

A number that uniquely identifies this group from all the others in the set of groups.

#### size

    int size()

The total number of set items in this group.

#### resolve

    TObject resolve​(Variable variable,
                    int set_index)

Returns the value of a variable of a group. The set index signifies the set item of the group. For example, if the group contains 10 items, then set_index may be between 0 and 9. Return types must be either a String, BigDecimal or Boolean.

#### getVariableResolver

    VariableResolver getVariableResolver​(int set_index)

Returns a VariableResolver that can be used to resolve variable in the get set of the group. The object returned is undefined after the next call to this method.